#
# spec file for package mstflint
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mstflint
Summary:        Burning Firmware Application
Version:        1.4
Release:        2.10.1
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Console
Source0:        %{name}-%{version}-0.6.g63179f4.tar.bz2
Patch0:         mstflint-1.3-pread-build-error.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ zlib-devel
ExcludeArch:    s390 s390x

%description
This package contains a burning tool for Mellanox manufactured HCA
cards. It also provides access to the relevant source code.



%prep
%setup -q
%patch0

%build
%configure
make

%install
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README
%_bindir/*
%_includedir/*

%changelog
* Fri Mar  4 2011 kukuk@suse.de
- Fix install section [bnc#676298]
* Fri Feb 11 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Wed Nov  3 2010 stefan.fent@novell.com
- adopt patch to build again
* Fri Oct 22 2010 stefan.fent@novell.com
- Update to v1.4-0.6.g63179f4 from OFED 1.5.2
* Wed May 26 2010 jjolly@novell.com
- Added postfile -0.3.gf304647 to tarball from OFED 1.5.1
* Tue Feb 23 2010 jjolly@suse.de
- Updated to v1.4 from OFED 1.4.2
* Wed Oct 22 2008 jjolly@suse.de
- Updated to version from OFED 1.3.1 release
- Patched to fix pread/pwrite build error
* Mon Mar 17 2008 jjolly@suse.de
- Updated to version 1.3 from OFED 1.3 GA package
- Now using %%configure/make instead of make only
* Thu Jul 12 2007 hvogel@suse.de
- package include/mtcr.h
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#288876]
* Tue Jul  3 2007 hvogel@suse.de
- Use correct git checkout from OFED 1.2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.2
